﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TabControl_SelectedItem_Binding
{
    public class TabViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<TabModel> items;

        public ObservableCollection<TabModel> Items
        {
            get { return items; }
            set { items = value; }
        }

        private TabModel itemSelected;

        public TabModel ItemSelected
        {
            get { return itemSelected; }
            set { itemSelected = value;
            RaisePropertyChanged("ItemSelected"); // This is to notify client that value has changed
            }
        }

        public TabViewModel()
        {
            items = new ObservableCollection<TabModel>();
            //for (int i = 0; i < 5; i++)
            //    items.Add(new TabModel() { Header = "Item " + (i + 1), Content = "Content " + (i + 1) });
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void RaisePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) 
                handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
